FROM node:20 AS env
ENV NODE_PATH=/node_modules PATH="/node_modules/.bin:${PATH}"
ENV NODE_ENV=production

RUN echo "--modules-folder $NODE_PATH" > /root/.yarnrc
WORKDIR /app
COPY package.json yarn.lock ./
RUN yarn install --production  --frozen-lockfile

FROM env AS dev
COPY . .

CMD yarn run dev --host


FROM dev as release
# Remove demo files
RUN rm -rf src/pages/foobar src/pages/imprint src/content/posts/*.md public/media/*
